#pragma once

#include "ofMain.h"

#include "ARToolKitPlus/TrackerSingleMarker.h"
using namespace ARToolKitPlus;

//class MyLogger : public ARToolKitPlus::Logger
//{
//    void artLog(const char* nStr)
//    {
//        printf(nStr);
//    }
//};


class arFakeMarker{

	public:
		arFakeMarker();		
		~arFakeMarker();
		
		void setup(int cam_w, int cam_h, int markerSizeMM, bool useRobustPose = false);
		void setMarkerPoints(ofPoint p1, ofPoint p2, ofPoint p3, ofPoint p4);
		void setMarkerSize(int mm);
				
		string getMarkerInfoString();
		bool isMarkerSet();
		
		void loadARMatrix(int screenW = 0, int screenH = 0);
		void unloadARMatrix();
		
	protected:
		
		bool isSet; 
		
		ofPoint halfSize;
		
		ARMarkerInfo * marker_info;
		TrackerSingleMarker *tracker;
		int cameraW;
		int cameraH;
		int renderW;
		int renderH;
		int markerW;
		bool useBCH;

};
